xmonad-contrib-0.11.2: Third party extensions for xmonad

Portability | unportable
Stability | unstable
Maintainer | ?
Safe Haskell | None

XMonad.Layout.ThreeColumns

Contents

- Usage
- Screenshots

Description

A layout similar to tall but with three columns. With 2560x1600 pixels this layout can be used for a huge main window and up to six reasonable sized slave windows.

Synopsis

- data ThreeCol a
  - = ThreeColMid {
    - threeColNMaster :: !Int
    - threeColDelta :: !Rational
    - threeColFrac :: !Rational
    }
  - | ThreeCol {
    - threeColNMaster :: !Int
    - threeColDelta :: !Rational
    - threeColFrac :: !Rational
    }

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.ThreeColumns

Then edit your `layoutHook` by adding the ThreeCol layout:

     myLayout = ThreeCol 1 (3/100) (1/2) ||| ThreeColMid 1 (3/100) (1/2) ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayout }

The first argument specifies how many windows initially appear in the main window. The second argument argument specifies the amount to resize while resizing and the third argument specifies the initial size of the columns. A positive size designates the fraction of the screen that the main window should occupy, but if the size is negative the absolute value designates the fraction a slave column should occupy. If both slave columns are visible, they always occupy the same amount of space.

The ThreeColMid variant places the main window between the slave columns.

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

# Screenshots

data ThreeCol a Source

Arguments are nmaster, delta, fraction

Constructors

ThreeColMid |

Fields

threeColNMaster :: !Int
threeColDelta :: !Rational
threeColFrac :: !Rational

ThreeCol |

Fields

threeColNMaster :: !Int
threeColDelta :: !Rational
threeColFrac :: !Rational

Instances

LayoutClass ThreeCol a |
Read (ThreeCol a) |
Show (ThreeCol a) |